From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/checkpolicy/
Date: Sun, 30 Jun 2024 00:49:53 +0000 (UTC) [thread overview]
Message-ID: <1719707912.5482967ee3bb1c7f344527f6c547f4835b86f54c.perfinion@gentoo> (raw)
commit: 5482967ee3bb1c7f344527f6c547f4835b86f54c
Author: Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 30 00:38:32 2024 +0000
Commit: Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 00:38:32 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5482967e
sys-apps/checkpolicy: bump to 3.7
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>
sys-apps/checkpolicy/Manifest | 1 +
sys-apps/checkpolicy/checkpolicy-3.7.ebuild | 54 +++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/sys-apps/checkpolicy/Manifest b/sys-apps/checkpolicy/Manifest
index d8d08681182e..de87eb345ea3 100644
--- a/sys-apps/checkpolicy/Manifest
+++ b/sys-apps/checkpolicy/Manifest
@@ -1,2 +1,3 @@
DIST checkpolicy-3.5.tar.gz 69904 BLAKE2B e02ccad07534568a1bbb612330018bbe486800ea40df20ed6f9dc38c88aff7f8858782a28ba7915a58c3bb384f180eb8da7a8fe97a92bcb9baa61eec18da6cbc SHA512 fcd490d865af3b4350c32c5dd9916f8406219841e1e255d8945c6dcc958535247aa27af5597a6988e19f11faea7beeabcb46e8ba2431112bb4aa5c7697bca529
DIST checkpolicy-3.6.tar.gz 70684 BLAKE2B d32a8b86897bd4a08caf61a096a691c8d049fa7b5b4561f4847e0dfbb62a82fc6c3ddb5be163c7cd6163491c50513aec14e4c67842f256f48688b26178c2887a SHA512 0d48fb385b4d1e66d562e40b6e794406f46d8803cc504705b26547130cb13b65fab5fdb4fc032b1c95d4f91862ff134a89fffde854c5ce466c2dd2657e416070
+DIST checkpolicy-3.7.tar.gz 74992 BLAKE2B 78f419fa89981ad16364b3d6406e313fda5230588063c9a9dbb70535f0421c5b402b9c86d2f63d4ab7b8119c38044b6dc556fb2dd40240428c914cb25a2facbe SHA512 f428edcbe17bd5b5f22dd827cf21c89c2cf645bae6c0342c6663743cafd9f8a8d7c8b5a1b48c04569fdb0cce11ffcb6c0b6d7fa76075a1a274948ba418bcc5b4
diff --git a/sys-apps/checkpolicy/checkpolicy-3.7.ebuild b/sys-apps/checkpolicy/checkpolicy-3.7.ebuild
new file mode 100644
index 000000000000..35ff8c551e28
--- /dev/null
+++ b/sys-apps/checkpolicy/checkpolicy-3.7.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux policy compiler"
+HOMEPAGE="http://userspace.selinuxproject.org"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git"
+ S="${WORKDIR}/${P}/${PN}"
+else
+ SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~mips ~riscv ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug"
+
+DEPEND=">=sys-libs/libsepol-${PV}"
+BDEPEND="sys-devel/flex
+ sys-devel/bison"
+
+RDEPEND=">=sys-libs/libsepol-${PV}"
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ YACC="bison -y" \
+ LIBDIR="\$(PREFIX)/$(get_libdir)"
+}
+
+src_install() {
+ default
+
+ if use debug; then
+ dobin "${S}/test/dismod"
+ dobin "${S}/test/dispol"
+ fi
+}
+
+pkg_postinst() {
+ if ! tc-is-cross-compiler; then
+ einfo "This checkpolicy can compile version `checkpolicy -V | cut -f 1 -d ' '` policy."
+ fi
+}
next reply other threads:[~2024-06-30 0:49 UTC|newest]
Thread overview: 80+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-30 0:49 Jason Zaman [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-09 22:01 [gentoo-commits] repo/gentoo:master commit in: sys-apps/checkpolicy/ Jason Zaman
2025-03-09 22:01 Jason Zaman
2025-02-09 22:45 Jason Zaman
2024-12-01 11:54 Sam James
2024-11-05 15:55 Arthur Zamarin
2024-11-05 10:34 Sam James
2024-11-05 10:34 Sam James
2024-11-05 10:31 Sam James
2024-08-12 1:23 Jason Zaman
2024-07-19 19:23 James Le Cuirot
2024-06-30 0:36 Jason Zaman
2024-02-09 14:41 Kenton Groombridge
2024-01-17 1:33 Kenton Groombridge
2024-01-17 1:33 Kenton Groombridge
2023-04-15 15:13 Kenton Groombridge
2023-04-09 15:14 Kenton Groombridge
2023-03-30 0:09 Kenton Groombridge
2023-03-30 0:09 Kenton Groombridge
2023-03-30 0:09 Kenton Groombridge
2022-07-18 12:49 Sam James
2022-07-18 12:49 Sam James
2022-07-02 17:03 Kenton Groombridge
2022-06-04 1:03 Kenton Groombridge
2022-06-04 1:03 Kenton Groombridge
2022-04-11 4:59 Jason Zaman
2022-04-11 3:44 Jason Zaman
2022-04-09 2:55 Jason Zaman
2021-12-28 1:14 Jason Zaman
2021-11-20 23:20 Sam James
2021-11-20 23:20 Sam James
2021-10-31 2:55 Sam James
2021-07-28 20:08 Sam James
2021-07-04 22:19 Sam James
2021-04-03 4:19 Jason Zaman
2021-04-03 4:19 Jason Zaman
2021-01-03 8:20 Jason Zaman
2020-12-18 3:31 Jason Zaman
2020-12-03 3:12 Jason Zaman
2020-09-15 3:41 Jason Zaman
2020-02-15 13:21 Jason Zaman
2019-12-08 18:39 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-02-09 11:49 Jason Zaman
2019-02-09 11:49 Jason Zaman
2018-06-26 2:07 Jason Zaman
2018-05-25 7:29 Jason Zaman
2018-05-25 7:29 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-04-27 4:45 Jason Zaman
2018-04-27 4:45 Jason Zaman
2018-04-26 11:22 Jason Zaman
2018-04-26 11:22 Jason Zaman
2017-09-23 2:15 Jason Zaman
2017-09-23 2:15 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-02-23 11:22 Jason Zaman
2016-12-12 14:01 Jason Zaman
2016-10-24 15:39 Jason Zaman
2016-10-07 4:24 Jason Zaman
2016-10-03 7:30 Jason Zaman
2016-09-01 16:31 Jason Zaman
2016-08-07 17:07 Jason Zaman
2016-06-21 15:41 Jason Zaman
2016-03-13 19:47 Sven Vermeulen
2015-12-21 8:57 Jason Zaman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1719707912.5482967ee3bb1c7f344527f6c547f4835b86f54c.perfinion@gentoo \
--to=perfinion@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox